| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IMonitorSvc Class Referenceabstract

Definition of the IMonitorSvc interface, which publishes Gaudi variables to outside monitoring processes. More...

`#include <GaudiKernel/IMonitorSvc.h>`

Inheritance diagram for IMonitorSvc:
[legend]
Collaboration diagram for IMonitorSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IMonitorSvc, 4, 1)
| InterfaceID. More...
virtual void | declareInfo (const std::string &name, const bool &var, const std::string &desc, const IInterface *owner)=0
| Declare monitoring information. More...
virtual void | declareInfo (const std::string &name, const int &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const long &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const double &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const std::string &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const std::pair< double, double > &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const AIDA::IBaseHistogram *var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const StatEntity &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const std::string &format, const void *var, int size, const std::string &desc, const IInterface *owner)=0
virtual void | undeclareInfo (const std::string &name, const IInterface *owner)=0
| Undeclare monitoring information. More...
virtual void | undeclareAll (const IInterface *owner)=0
| Undeclare monitoring information. More...
virtual std::set< std::string > * | getInfos (const IInterface *owner=0)=0
| Get the names for all declared monitoring informations for a given owner. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Definition of the IMonitorSvc interface, which publishes Gaudi variables to outside monitoring processes.

Author
  Philippe Vannerem
  Pere Mato

Definition at line 21 of file IMonitorSvc.h.

## Member Function Documentation

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const bool & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

Declare monitoring information.

Parameters

  name | Monitoring information name knwon to the external system
  var | Monitoring Listener address
  desc | Textual description
  owner | Owner identifier of the monitoring information (needed to perform clean up

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const int & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const long & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const double & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const std::string & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const std::pair< double, double > & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const AIDA::IBaseHistogram * | var,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const StatEntity & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const std::string & | format,
|  | const void * | var,
|  | int | size,
|  | const std::string & | desc,
|  | const IInterface * | owner
| ) |  |
| pure virtual

IMonitorSvc::DeclareInterfaceID | ( | IMonitorSvc | ,
|  | 4 | ,
|  | 1 |
| ) |  |

InterfaceID.

virtual std::set<std::string>* IMonitorSvc::getInfos | ( | const IInterface * | owner = `0` | ) |
| pure virtual

Get the names for all declared monitoring informations for a given owner.

If the owner is NULL, then it returns for all owners informationUndeclare monitoring information

virtual void IMonitorSvc::undeclareAll | ( | const IInterface * | owner | ) |
| pure virtual

Undeclare monitoring information.

Parameters

  owner | Owner identifier of the monitoring information

virtual void IMonitorSvc::undeclareInfo | ( | const std::string & | name,
|  | const IInterface * | owner
| ) |  |
| pure virtual

Undeclare monitoring information.

Parameters

  name | Monitoring information name known to the external system
  owner | Owner identifier of the monitoring information

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IMonitorSvc.h